Index: include/roaraudio.h
===================================================================
--- include/roaraudio.h	(revision 6067)
+++ include/roaraudio.h	(revision 0)
@@ -1,91 +1,27 @@
 //roaraudio.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU Lesser General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU Lesser General Public License for more details.
- *
- *  You should have received a copy of the GNU Lesser General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE: Even though this file is LGPLed it (may) include GPLed files
- *  so the license of this file is/may therefore downgraded to GPL.
- *  See HACKING for details.
- */
 
 #ifndef _ROARAUDIO_H_
 #define _ROARAUDIO_H_
 
-#define  _ROAR_MKVERSION(a,b,c) (((uint32_t)(a) << 16) + ((uint32_t)(b) << 8) + (uint32_t)(c))
-
-#include <roaraudio/config.h>
-#include <roaraudio/compilerhacks.h>
-#include <roaraudio/targethacks.h>
-#include <roaraudio/muconthacks.h>
-#include <roaraudio/win32hacks.h> // we include this at the beginning of the file
-                                  // so we can define well known standard types known to everyone
-                                  // and everywhere but win32 here
-
-#define ROAR_VERSION _ROAR_MKVERSION(ROAR_VERSION_MAJOR, ROAR_VERSION_MINOR, ROAR_VERSION_REV)
-
-#if defined(DEBUG) && !defined(ROAR_SUPPORT_TRAP)
-#define ROAR_SUPPORT_TRAP
-#endif
-
-// consts we need to set depending on the OS and features:
-#if defined(ROAR_NEED_GNU_SOURCE) && !defined(_GNU_SOURCE)
-#define _GNU_SOURCE
-#endif
-
-#if defined(ROAR_NEED_BSD_VISIBLE) && !defined(__BSD_VISIBLE)
-#define __BSD_VISIBLE 1
-#endif
-
-#ifdef ROAR_HAVE_H_STDINT
-#include <stdint.h>
-#endif
-
 #include <stdlib.h>
-
-#ifdef ROAR_HAVE_H_UNISTD
 #include <unistd.h>
-#endif
-
 #include <stdio.h>
 #include <string.h>
 #include <errno.h>
+#include <sys/types.h>
+#include <limits.h>
 
-#ifdef ROAR_HAVE_H_SYS_TYPES
-#include <sys/types.h>
-#endif
+#include <arpa/inet.h>
 
-#ifdef ROAR_HAVE_H_SYS_SOCKET
 #include <sys/socket.h>
-#endif
+#include <netinet/in.h>
+#include <netinet/tcp.h>
+#include <sys/un.h>
 
-#include <limits.h>
-#if !defined(ROAR_TARGET_WIN32) && !defined(ROAR_TARGET_MICROCONTROLLER)
-#include <sys/mman.h>
-#endif
+#include <netdb.h>
 
-#ifdef ROAR_HAVE_H_SYS_STAT
-#include <sys/stat.h>
-#endif
+#include <roaraudio/config.h>
 
 // NOTE: we need this macro in some of our header files.
-// TODO: This is oubslute, we will remove it soon.
 #if INT_MAX >= 32767
 #define roar_intm16  int
@@ -96,143 +32,18 @@
 #endif
 
-// this is to avoid warning messages on platforms
-// where sizeof(void*) == 8 and szeof(int) == 4
-#ifdef __LP64__
-#define ROAR_INSTINT long int
-#else
-#define ROAR_INSTINT int
-#endif
-
-#ifndef __BEGIN_DECLS
-#ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
-#else
-# define __BEGIN_DECLS
-# define __END_DECLS
-#endif
-#endif
-
-__BEGIN_DECLS
-
-#include <roaraudio/license.h>
-#include <roaraudio/vendors.h>
 #include <roaraudio/proto.h>
-#include <roaraudio/caps.h>
-#include <roaraudio/error.h>
 #include <roaraudio/audio.h>
 #include <roaraudio/stream.h>
 #include <roaraudio/client.h>
 #include <roaraudio/sample.h>
-#include <roaraudio/beep.h>
-#include <roaraudio/meta.h>
-#include <roaraudio/genre.h>
-#include <roaraudio/acl.h>
-#include <roaraudio/misc.h>
-#include <roaraudio/byteorder.h>
-#include <roaraudio/socket.h>
-#include <roaraudio/ltm.h>
-#include <roaraudio/notify.h>
 
 #include <libroar/libroar.h>
 
-// Some settings for roard:
-#ifndef ROAR_ROARD_BITS
-#define ROAR_ROARD_BITS 32
-#endif
+#define ROAR_DEFAULT_PORT        16002
+#define ROAR_DEFAULT_HOST        "localhost"
 
-// Some glocal network defaults:
-#ifndef ROAR_NET_INET4_LOCALHOST
-#define ROAR_NET_INET4_LOCALHOST "localhost"
-#endif
-#ifndef ROAR_NET_INET4_ANYHOST
-#define ROAR_NET_INET4_ANYHOST   "0.0.0.0"
-#endif
-
-#ifndef ROAR_NET_INET6_LOCALHOST
-#define ROAR_NET_INET6_LOCALHOST "ipv6-localhost"
-#endif
-#ifndef ROAR_NET_INET6_ANYHOST
-#define ROAR_NET_INET6_ANYHOST   "::"
-#endif
-
-// IP:
-#define ROAR_DEFAULT_PORT        16002
-
-// IPv4
-#define ROAR_DEFAULT_INET4_PORT  ROAR_DEFAULT_PORT
-#define ROAR_DEFAULT_INET4_HOST  ROAR_NET_INET4_LOCALHOST
-// aliases:
-#define ROAR_DEFAULT_HOST        ROAR_DEFAULT_INET4_HOST
-#define ROAR_DEFAULT_HOSTPORT    ROAR_DEFAULT_HOST ":16002"
-
-// IPv6:
-#define ROAR_DEFAULT_INET6_PORT  ROAR_DEFAULT_PORT
-#define ROAR_DEFAULT_INET6_HOST  ROAR_NET_INET6_LOCALHOST
-
-// UNIX Domain Sockets
 #define ROAR_DEFAULT_SOCK_GLOBAL "/tmp/roar"
 #define ROAR_DEFAULT_SOCK_USER   ".roar"
 
-// DECnet
-#define ROAR_DEFAULT_OBJECT      "roar"
-#define ROAR_DEFAULT_NUM         0
-#define ROAR_DEFAULT_LISTEN_OBJECT "::" ROAR_DEFAULT_OBJECT
-
-// now handled by configure:
-//#define ROAR_DEFAULT_SOCKGRP     "audio"
-
-
-// defines for emulations:
-// ESD:
-#define ROAR_DEFAULT_ESD_GSOCK   "/tmp/.esd/socket"
-#define ROAR_DEFAULT_ESD_PORT    16001
-// RSound:
-#define ROAR_DEFAULT_RSOUND_GSOCK  "/tmp/rsound"
-#define ROAR_DEFAULT_RSOUND_PORT   12345
-#define ROAR_DEFAULT_RSOUND_OBJECT "::rsound"
-// PulseAudio:
-#define ROAR_DEFAULT_PA_PORT     4712
-// RPlay:
-#define ROAR_DEFAULT_RPLAY_PORT  5556
-// Gopher:
-#define ROAR_DEFAULT_GOPHER_PORT 70
-// WWW/HTTP:
-#define ROAR_DEFAULT_HTTP_PORT   80
-
-#if defined(ROAR_HAVE_LIBWSOCK32) && defined(ROAR_HAVE_LIBWS2_32)
-#define ROAR_LIBS_WIN32          " -lwsock32 -lws2_32"
-#else
-#define ROAR_LIBS_WIN32          ""
-#endif
-
-#ifdef ROAR_HAVE_LIBSOCKET
-#define ROAR_LIBS_LIBSOCKET      " -lsocket"
-#else
-#define ROAR_LIBS_LIBSOCKET      ""
-#endif
-
-#ifdef ROAR_HAVE_LIBSENDFILE
-#define ROAR_LIBS_LIBSENDFILE    " -lsendfile"
-#else
-#define ROAR_LIBS_LIBSENDFILE    ""
-#endif
-
-#define ROAR_LIBS_NET_LIBS       ROAR_LIBS_LIBSOCKET ROAR_LIBS_WIN32
-
-#define ROAR_LIBS                "-lroar"       ROAR_LIBS_LIBSENDFILE ROAR_LIBS_NET_LIBS
-#define ROAR_LIBS_DSP            "-lroardsp "   ROAR_LIBS
-#define ROAR_LIBS_MIDI           "-lroarmidi "  ROAR_LIBS_DSP
-#define ROAR_LIBS_LIGHT          "-lroarlight " ROAR_LIBS
-#define ROAR_LIBS_EIO            "-lroareio "   ROAR_LIBS
-#define ROAR_CFLAGS              ""
-
-// comp libs:
-#define ROAR_LIBS_C_ESD          "-lroaresd "   ROAR_LIBS
-#define ROAR_LIBS_C_ARTSC        "-lroarartsc " ROAR_LIBS
-#define ROAR_LIBS_C_PULSE        "-lroarpulse " ROAR_LIBS
-#define ROAR_LIBS_C_PULSE_SIMPLE "-lroarpulse-simple " ROAR_LIBS_C_PULSE
-#define ROAR_LIBS_C_SNDIO        "-lroarsndio " ROAR_LIBS
-#define ROAR_LIBS_C_YIFF         "-lroaryiff "  ROAR_LIBS
 
 //some basic macros:
@@ -243,47 +54,19 @@
 #define ROAR_DEBUG_OUTFH stderr
 
-#ifndef ROAR_DBG_PREFIX
+#ifdef ROAR_DBG_PREFIX
+#undef ROAR_DBG_PREFIX
+#endif
 #define ROAR_DBG_PREFIX "roaraudio"
-#endif
 
 #define ROAR_DBG_FULLPREFIX "(" ROAR_DBG_PREFIX ": " __FILE__ ":%i): "
 
-// some default info levels:
-#define ROAR_DBG_INFO_NONE             0
-#define ROAR_DBG_INFO_NOTICE           1
-#define ROAR_DBG_INFO_INFO             2
-#define ROAR_DBG_INFO_VERBOSE          3
-
-#if !defined(__GNUC__)
- #define ROAR_DBG(format, ...)
- #define ROAR_ERR(format, ...)
- #define ROAR_WARN(format, ...)
- #define ROAR_INFO(format, level, ...)
-#elif __GNUC__ < 3
- #define ROAR_DBG(format, args...)
- #define ROAR_ERR(format, args...)
- #define ROAR_WARN(format, args...)
- #define ROAR_INFO(format, level, args...)
-#else
-
 #ifdef DEBUG
- #define ROAR_DBG(format, args...)  roar_debug_msg(ROAR_DEBUG_TYPE_DEBUG, __LINE__, __FILE__, ROAR_DBG_PREFIX, format, ## args)
+ #define ROAR_DBG(format, args...)  fprintf(ROAR_DEBUG_OUTFH, ROAR_DBG_FULLPREFIX "DEBUG: " format "\n", __LINE__, ## args)
 #else
  #define ROAR_DBG(format, args...)
 #endif
 
-#define ROAR_ERR(format, args...)  roar_debug_msg(ROAR_DEBUG_TYPE_ERROR, __LINE__, __FILE__, ROAR_DBG_PREFIX, format, ## args)
-#define ROAR_WARN(format, args...) roar_debug_msg(ROAR_DEBUG_TYPE_WARNING, __LINE__, __FILE__, ROAR_DBG_PREFIX, format, ## args)
+#define ROAR_ERR(format, args...)   fprintf(ROAR_DEBUG_OUTFH, ROAR_DBG_FULLPREFIX "Error: " format "\n", __LINE__, ## args)
 
-// INFO function:
-#ifdef DEBUG
- #define ROAR_INFO(format, level, args...) roar_debug_msg(ROAR_DEBUG_TYPE_INFO, __LINE__, __FILE__, ROAR_DBG_PREFIX, format, ## args)
-#elif defined(ROAR_DBG_INFOVAR)
- #define ROAR_INFO(format, level, args...) if ( (ROAR_DBG_INFOVAR) >= (level) ) roar_debug_msg(ROAR_DEBUG_TYPE_INFO, __LINE__, __FILE__, ROAR_DBG_PREFIX, format, ## args)
-#else
- #define ROAR_INFO(format, level, args...)
-#endif
-
-#endif
 
 #ifdef ROAR_HAVE_SAFE_OVERFLOW
@@ -293,11 +76,22 @@
 #endif
 
-#ifdef ROAR_HAVE_STRCASESTR
-#define _roar_strcasestr(a,b) strcasestr((a), (b))
+
+
+#if BYTE_ORDER == BIG_ENDIAN
+
+#define ROAR_NET2HOST32(x) (x)
+#define ROAR_HOST2NET32(x) (x)
+#define ROAR_NET2HOST16(x) (x)
+#define ROAR_HOST2NET16(x) (x)
+
+//#elif BYTE_ORDER == LITTLE_ENDIAN
 #else
-#define _roar_strcasestr(a,b) NULL
+
+#define ROAR_NET2HOST32(x) ntohl((x))
+#define ROAR_HOST2NET32(x) htonl((x))
+#define ROAR_NET2HOST16(x) ntohs((x))
+#define ROAR_HOST2NET16(x) htons((x))
+
 #endif
-
-__END_DECLS
 
 #endif
Index: include/roaraudio/audio.h
===================================================================
--- include/roaraudio/audio.h	(revision 6052)
+++ include/roaraudio/audio.h	(revision 0)
@@ -1,156 +1,17 @@
 //audio.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU Lesser General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU Lesser General Public License for more details.
- *
- *  You should have received a copy of the GNU Lesser General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE: Even though this file is LGPLed it (may) include GPLed files
- *  so the license of this file is/may therefore downgraded to GPL.
- *  See HACKING for details.
- */
 
 #ifndef _ROARAUDIO_AUDIO_H_
 #define _ROARAUDIO_AUDIO_H_
 
-// TODO: move this block to a more logical location.
 #define ROAR_CODEC_PCM_LE  ROAR_CODEC_PCM_S_LE
 #define ROAR_CODEC_PCM_BE  ROAR_CODEC_PCM_S_BE
 #define ROAR_CODEC_PCM_PDP ROAR_CODEC_PCM_S_PDP
 
-
 /*
  Bits:
  76543210
- |||||||\---\ byte-
- ||||||\----/ order
- |||||\-----> unsigned?
- ||||\------> PCM(0) or MIDI(1)?
- |||\-------> PCM/MIDI(0) or hi-level codecs(1)
- ||\--------> MISC(0) or RIFF/WAVE like(1)
- |\---------> first set(0) or second set(1)
- \----------> (0)
-
- BB = Byte order / MSB/LSB
-
- -- First Set:
-
- MIDI 0x08:
- 76543210
-      000 0x08 -> MIDI File
-
- hi-level 0x10:
-  76543210
-      0000 0x10 -> Ogg Vorbis
-      0001 0x11 -> Native FLAC
-      0010 0x12 -> Ogg Speex
-      0011 0x13 -> Reserved for CELT
-      0100 0x14 -> Ogg FLAC
-      0101 0x15 -> Ogg General
-      0110 0x16 -> Ogg CELT
-      0111 0x17 -> Ogg
-      [...]
-      **** 0x1a -> ROAR CELT
-      **** 0x1b -> ROAR SPEEX
-      **** 0x1c -> RAUM
-      **** 0x1d -> RAUM Vorbis
-      **** 0x1e -> RAUM FLAC
-
- RIFF/WAVE like 0x20:
-  76543210
-      0000 0x20 -> RIFF/WAVE
-
- LOG Codecs 0x30:
-  76543210
-      00BB 0x30 -> A-Law (base)
-      01BB 0x34 -> mu-Law (base)
-
- -- Second Set:
-
- Bits:
- 76543210
- |||||||\---\ byte-
- ||||||\----/ order
- |||||\-----> unsigned? (or other flags)
- ||||\------> META: text(0) or binary(1)
- |||\-------> META(0)/CONTAINER(1)
- ||\--------> Specal codecs(0)
- |\---------> second set(1)
- \----------> (0)
-
- Meta Codecs 0x40:
-  76543210
-      0000 0x40 -> Meta Text: Vorbis Comment Like
-      [...]
-      0100 0x44 -> Meta Text: RoarAudio Like
-      [...]
-      11BB 0x4c -> Meta Binary: RoarAudio Like
-
- Container 0x50:
-  76543210
-      0000 0x50 -> Null container: pass
-      0001 0x51 -> Gzip
-      0010 0x52 -> Bzip2
-      0011 0x53 -> OpenPGP bin
-      0100 0x54 -> OpenPGP asc
-      0101 0x55 -> TAR
-
- Bits:
- 76543210
- |||||||\---\ byte-
- ||||||\----/ order
- |||||\-----> unsigned? (or other flags)
- ||||\------> (0)
- |||\-------> MIDI(0)/Light(1)
- ||\--------> MIDI and Light(1)
- |\---------> second set(1)
- \----------> (0)
-
- MIDI 0x60:
-  76543210
-      0000 -> MIDI
-
- Light 0x70:
-  76543210
-      0000 -> DMX512
-      0001 -> RoarDMX
-
- Bits:
- 76543210
- |||||||\---\ byte-
- ||||||\----/ order
- |||||\-----> unsigned? (or other flags)
- ||||\------> ID
- |||\-------> RDTCS(0) / User/Vendor Specific(1)
- ||\--------> first subset(0)
- |\---------> first set(0)
- \----------> (1)
-
- RDTCS 0x80:
-  76543210
-      0000 -> RDS
-
- User  0x90:
-  76543210
-      0000 -> USER0
-      [...]
-      1111 -> USER15
-
+      ||\---\ byte-
+      |\----/ order
+      \-----> unsigned?
 */
 
@@ -159,15 +20,8 @@
 
 #define ROAR_CODEC_UNSIGNED    (1 << 2)
-#define ROAR_CODEC_LE          0x01
-#define ROAR_CODEC_BE          0x02
-#define ROAR_CODEC_PDP         0x03
 
-#define ROAR_CODEC_MSB         0x00
-#define ROAR_CODEC_LSB         0x01
-
-#define ROAR_CODEC_PCM       0x00
-#define ROAR_CODEC_PCM_S_LE  (ROAR_CODEC_PCM | ROAR_CODEC_LE )
-#define ROAR_CODEC_PCM_S_BE  (ROAR_CODEC_PCM | ROAR_CODEC_BE )
-#define ROAR_CODEC_PCM_S_PDP (ROAR_CODEC_PCM | ROAR_CODEC_PDP)
+#define ROAR_CODEC_PCM_S_LE  0x01
+#define ROAR_CODEC_PCM_S_BE  0x02
+#define ROAR_CODEC_PCM_S_PDP 0x03
 
 #define ROAR_CODEC_PCM_U_LE  (ROAR_CODEC_PCM_S_LE  | ROAR_CODEC_UNSIGNED)
@@ -175,129 +29,20 @@
 #define ROAR_CODEC_PCM_U_PDP (ROAR_CODEC_PCM_S_PDP | ROAR_CODEC_UNSIGNED)
 
-#define ROAR_CODEC_MIDI_FILE    0x08
-
-#define ROAR_CODEC_OGG_VORBIS   0x10
-#define ROAR_CODEC_FLAC         0x11 /* native FLAC without Ogg container */
-#define ROAR_CODEC_OGG_SPEEX    0x12
-/* #define ROAR_CODEC_CELT/OGG_CELT 0x13 Reserved for CELT */
-#define ROAR_CODEC_OGG_FLAC     0x14
-#define ROAR_CODEC_OGG_GENERAL  0x15
-#define ROAR_CODEC_OGG_CELT     0x16
-#define ROAR_CODEC_OGG          0x17
-#define ROAR_CODEC_OGG_OPUS     0x18
-
-#define ROAR_CODEC_ROAR_OPUS    0x19
-#define ROAR_CODEC_ROAR_CELT    0x1a
-#define ROAR_CODEC_ROAR_SPEEX   0x1b
-
-#define ROAR_CODEC_RAUM         0x1c
-#define ROAR_CODEC_RAUM_VORBIS  0x1d
-#define ROAR_CODEC_RAUM_FLAC    0x1e
-
-#define ROAR_CODEC_RIFF_WAVE    0x20
-#define ROAR_CODEC_RIFX         (ROAR_CODEC_RIFF_WAVE | ROAR_CODEC_BE)
-#define ROAR_CODEC_AU           0x24
-#define ROAR_CODEC_AIFF         0x28
-
-#define ROAR_CODEC_ALAW         0x30
-#define ROAR_CODEC_AUTLAW_LE    (ROAR_CODEC_ALAW|ROAR_CODEC_LE)
-#define ROAR_CODEC_AUTLAW_BE    (ROAR_CODEC_ALAW|ROAR_CODEC_BE)
-#define ROAR_CODEC_AUTLAW       ROAR_CODEC_AUTLAW_BE
-#define ROAR_CODEC_MULAW        0x34
-#define ROAR_CODEC_MUUTLAW_LE   (ROAR_CODEC_MULAW|ROAR_CODEC_LE)
-#define ROAR_CODEC_MUUTLAW_BE   (ROAR_CODEC_MULAW|ROAR_CODEC_BE)
-#define ROAR_CODEC_MUUTLAW      ROAR_CODEC_MUUTLAW_BE
-#define ROAR_CODEC_GSM          0x38
-#define ROAR_CODEC_GSM49        0x39
-#define ROAR_CODEC_BRR          0x3c /* SPC-700 Bit Rate Reduction of              */
-                                     /* Super Nintendo Entertainment System (SNES) */
-
-// Meta Codecs:
-#define ROAR_CODEC_META_VCLT    0x40 /* VCLT = Vorbis Comment Like Text */
-#define ROAR_CODEC_META_RALT    0x44 /* RALT = RoarAudio Like Text      */
-#define ROAR_CODEC_META_RALB    0x4c /* RALB = RoarAudio Like Binary    */
-                                     /* if no byte order is given then you
-                                        should assume BE as it is network
-                                        byte order                     */
-#define ROAR_CODEC_META_RALB_LE  (ROAR_CODEC_META_RALB | ROAR_CODEC_LE )
-#define ROAR_CODEC_META_RALB_BE  (ROAR_CODEC_META_RALB | ROAR_CODEC_BE )
-#define ROAR_CODEC_META_RALB_PDP (ROAR_CODEC_META_RALB | ROAR_CODEC_PDP)
-
-// Container Codecs:
-/*
- Container 0x50:
-  76543210
-      0000 0x50 -> Null container: pass
-      0001 0x51 -> Gzip
-      0010 0x52 -> Bzip2
-      0011 0x53 -> OpenPGP bin
-      0100 0x54 -> OpenPGP asc
-      0101 0x55 -> TAR
-*/
-#define ROAR_CODEC_CONT_NULL    0x50
-#define ROAR_CODEC_CONT_BASE    ROAR_CODEC_CONT_NULL
-#define ROAR_CODEC_CONT_GZIP    0x51
-#define ROAR_CODEC_CONT_BZIP2   0x52
-#define ROAR_CODEC_CONT_OPGPBIN 0x53
-#define ROAR_CODEC_CONT_OPGPASC 0x54
-#define ROAR_CODEC_CONT_TAR     0x55
-
-
-// MIDI:
-#define ROAR_CODEC_MIDI         0x60
-#define ROAR_CODEC_ROARMIDI     0x64
-
-// Light Control:
-#define ROAR_CODEC_DMX512       0x70
-#define ROAR_CODEC_ROARDMX      0x71
-
-// RDTCS:
-#define ROAR_CODEC_RDS          0x80
-
-// User specific:
-#define ROAR_CODEC_USER0        0x90
-#define ROAR_CODEC_USER1        0x91
-#define ROAR_CODEC_USER2        0x92
-#define ROAR_CODEC_USER3        0x93
-#define ROAR_CODEC_USER4        0x94
-#define ROAR_CODEC_USER5        0x95
-#define ROAR_CODEC_USER6        0x96
-#define ROAR_CODEC_USER7        0x97
-#define ROAR_CODEC_USER8        0x98
-#define ROAR_CODEC_USER9        0x99
-#define ROAR_CODEC_USER10       0x9a
-#define ROAR_CODEC_USER11       0x9b
-#define ROAR_CODEC_USER12       0x9c
-#define ROAR_CODEC_USER13       0x9d
-#define ROAR_CODEC_USER14       0x9e
-#define ROAR_CODEC_USER15       0x9f
-
 #if BYTE_ORDER == BIG_ENDIAN
 
-#define ROAR_CODEC_NATIVE_ENDIAN ROAR_CODEC_BE
-
-#define ROAR_CODEC_PCM_S   ROAR_CODEC_PCM_S_BE
-#define ROAR_CODEC_PCM_U   ROAR_CODEC_PCM_U_BE
+#define ROAR_CODEC_DEFAULT ROAR_CODEC_PCM_BE
 #define ROAR_BE2DEF(x) (x)
 
 #elif BYTE_ORDER == LITTLE_ENDIAN
 
-#define ROAR_CODEC_NATIVE_ENDIAN ROAR_CODEC_LE
-
-#define ROAR_CODEC_PCM_S   ROAR_CODEC_PCM_S_LE
-#define ROAR_CODEC_PCM_U   ROAR_CODEC_PCM_U_LE
+#define ROAR_CODEC_DEFAULT ROAR_CODEC_PCM_LE
 #define ROAR_LE2DEF(x) (x)
 
 #else
 
-#define ROAR_CODEC_NATIVE_ENDIAN ROAR_CODEC_PDP
-
-#define ROAR_CODEC_PCM_S   ROAR_CODEC_PCM_S_PDP
-#define ROAR_CODEC_PCM_U   ROAR_CODEC_PCM_U_PDP
+#define ROAR_CODEC_DEFAULT ROAR_CODEC_PCM_PDP
 #define ROAR_PDP2DEF(x) (x)
 
 #endif
-
-#define ROAR_CODEC_DEFAULT ROAR_CODEC_PCM_S
 
 
@@ -306,62 +51,20 @@
 #define ROAR_BITS_MAX             32
 
-#ifndef ROAR_BITS_DEFAULT
 #define ROAR_BITS_DEFAULT         16
-#endif
-#ifndef ROAR_CHANNELS_DEFAULT
 #define ROAR_CHANNELS_DEFAULT      2
-#endif
-#ifndef ROAR_RATE_DEFAULT
 #define ROAR_RATE_DEFAULT      44100
-#endif
-
-#define ROAR_MIDI_TICKS_PER_BEAT  96
-#define ROAR_MIDI_BITS             8
-#define ROAR_MIDI_CHANNELS_DEFAULT 16
-
-#define ROAR_MAX_CHANNELS         64
-
-#define ROAR_SET_VOL_ALL           1
-#define ROAR_SET_VOL_ONE           2
-#define ROAR_SET_VOL_MS            3
-#define ROAR_SET_VOL_UNMAPPED      4
-
-
-#define ROAR_SPEEX_MAX_CC          256
-#define ROAR_SPEEX_MAGIC           "RoarSpeex"
-#define ROAR_SPEEX_MAGIC_LEN       9
-#define ROAR_SPEEX_MODE_NB         1
-#define ROAR_SPEEX_MODE_WB         2
-#define ROAR_SPEEX_MODE_UWB        3
-
-#define ROAR_CELT_MAGIC_0          "RoarCELT0"
-#define ROAR_CELT_MAGIC_1          "RoarCELT1"
-#define ROAR_CELT_MAGIC_LEN        9
-
-#ifdef ROAR_HAVE_CELT_VERSION_0_7_1
-#define ROAR_CELT_MAGIC            ROAR_CELT_MAGIC_1
-#else
-#define ROAR_CELT_MAGIC            ROAR_CELT_MAGIC_0
-#endif
-
-#define ROAR_AUDIO_INFO_TYPE    uint32_t
-#define ROAR_AUDIO_INFO_INVALID ((ROAR_AUDIO_INFO_TYPE)-1)
 
 struct roar_audio_info {
- ROAR_AUDIO_INFO_TYPE rate;
- ROAR_AUDIO_INFO_TYPE bits;
- ROAR_AUDIO_INFO_TYPE channels;
- ROAR_AUDIO_INFO_TYPE codec;
+ unsigned int rate;
+ unsigned int bits;
+ unsigned int channels;
+ unsigned int codec;
 };
 
 struct roar_mixer_settings {
- //unsigned      channels;
- uint16_t   scale;
- uint16_t   rpg_mul; // rpg = ReplayGain
- uint16_t   rpg_div;
- uint16_t   mixer[ROAR_MAX_CHANNELS];
+ unsigned      channels;
+ roar_intm16   scale;
+ roar_intm16 * mixer;
 };
-
-#define ROAR_MIXER(x) ((struct roar_mixer_settings *)x)
 
 #endif
Index: include/roaraudio/client.h
===================================================================
--- include/roaraudio/client.h	(revision 6071)
+++ include/roaraudio/client.h	(revision 0)
@@ -1,29 +1,3 @@
-//client.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU Lesser General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU Lesser General Public License for more details.
- *
- *  You should have received a copy of the GNU Lesser General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE: Even though this file is LGPLed it (may) include GPLed files
- *  so the license of this file is/may therefore downgraded to GPL.
- *  See HACKING for details.
- */
+//stream.h:
 
 #ifndef _ROARAUDIO_CLIENT_H_
@@ -33,96 +7,15 @@
 
 #define ROAR_CLIENTS_MAX 64
-#define ROAR_CLIENTS_MAX_STREAMS_PER_CLIENT 12
+#define ROAR_CLIENTS_MAX_STREAMS_PER_CLIENT 4
 
-#define ROAR_PROTO_NONE             0
-#define ROAR_PROTO_ROARAUDIO        1
-#define ROAR_PROTO_ESOUND           2
-#define ROAR_PROTO_AUTO             3 /* auto detect */
-#define ROAR_PROTO_HTTP             4
-#define ROAR_PROTO_GOPHER           5
-#define ROAR_PROTO_ICY              7 /* Nullsoft ICY */
-#define ROAR_PROTO_SIMPLE           8 /* PulseAudio Simple */
-#define ROAR_PROTO_RSOUND           9
-#define ROAR_PROTO_RPLAY           10
-#define ROAR_PROTO_IRC             11 /* ID just for fun */
-#define ROAR_PROTO_DCC             12
-#define ROAR_PROTO_ECHO            13 /* for testing and stuff */
-#define ROAR_PROTO_DISCARD         14 /* RFC 863 */
-#define ROAR_PROTO_WHOIS           15
-#define ROAR_PROTO_FINGER          16
-#define ROAR_PROTO_QUOTE           17 /* RFC 865: Quote of the Day Protocol */
-#define ROAR_PROTO_DAYTIME         18
-#define ROAR_PROTO_GAME            19 /* a game, may be any game */
-#define ROAR_PROTO_TELNET          20
-#define ROAR_PROTO_DHCP            21
-#define ROAR_PROTO_SSH             22
-#define ROAR_PROTO_TIME            23 /* Time protocol, RFC 868 */
-#define ROAR_PROTO_RLOGIN          24
-#define ROAR_PROTO_RPLD            25 /* RoarAudio Playlist Daemon Protocol */
-#define ROAR_PROTO_MPD             26 /* Music Player Daemon */
-#define ROAR_PROTO_RTP             27 /* Real-time Transport Protocol */
-#define ROAR_PROTO_RTCP            28 /* RealTime Control Protocol */
-#define ROAR_PROTO_RTSP            29 /* Real-Time Streaming Protocol */
-#define ROAR_PROTO_SIP             30 /* Session Initiation Protocol */
-
-/* Dynamic defined protocols.
- * Those IDs MUST NOT be used on wire, stored on disk or
- * leave the process any other way.
- */
-#define ROAR_PROTO_DYNAMIC0       208
-#define ROAR_PROTO_DYNAMIC1       209
-#define ROAR_PROTO_DYNAMIC2       210
-#define ROAR_PROTO_DYNAMIC3       211
-#define ROAR_PROTO_DYNAMIC4       212
-#define ROAR_PROTO_DYNAMIC5       213
-#define ROAR_PROTO_DYNAMIC6       214
-#define ROAR_PROTO_DYNAMIC7       215
-#define ROAR_PROTO_DYNAMIC8       216
-#define ROAR_PROTO_DYNAMIC9       217
-#define ROAR_PROTO_DYNAMIC10      218
-#define ROAR_PROTO_DYNAMIC11      219
-#define ROAR_PROTO_DYNAMIC12      220
-#define ROAR_PROTO_DYNAMIC13      221
-#define ROAR_PROTO_DYNAMIC14      222
-#define ROAR_PROTO_DYNAMIC15      223
-
-/* User defined protocols.
- * IDs may be used on wire or stored on disk if meaning of them
- * was agreed on before. This could e.g. be done using the CAPS command.
- */
-#define ROAR_PROTO_USER0          224
-#define ROAR_PROTO_USER1          225
-#define ROAR_PROTO_USER2          226
-#define ROAR_PROTO_USER3          227
-#define ROAR_PROTO_USER4          228
-#define ROAR_PROTO_USER5          229
-#define ROAR_PROTO_USER6          230
-#define ROAR_PROTO_USER7          231
-#define ROAR_PROTO_USER8          232
-#define ROAR_PROTO_USER9          233
-#define ROAR_PROTO_USER10         234
-#define ROAR_PROTO_USER11         235
-#define ROAR_PROTO_USER12         236
-#define ROAR_PROTO_USER13         237
-#define ROAR_PROTO_USER14         238
-#define ROAR_PROTO_USER15         239
-
-
-#define ROAR_BYTEORDER_UNKNOWN      0x00
-#define ROAR_BYTEORDER_LE           ROAR_CODEC_LE
-#define ROAR_BYTEORDER_BE           ROAR_CODEC_BE
-#define ROAR_BYTEORDER_PDP          ROAR_CODEC_PDP
-#define ROAR_BYTEORDER_NETWORK      ROAR_BYTEORDER_BE
-
-#if BYTE_ORDER == BIG_ENDIAN
-#define ROAR_BYTEORDER_NATIVE       ROAR_CODEC_BE
-#elif BYTE_ORDER == LITTLE_ENDIAN
-#define ROAR_BYTEORDER_NATIVE       ROAR_CODEC_LE
-#else
-#define ROAR_BYTEORDER_NATIVE       ROAR_CODEC_PDP
-#endif
-
-#define ROAR_CLIENTPASS_FLAG_NONE    0x0000
-#define ROAR_CLIENTPASS_FLAG_LISTEN  0x0001
+struct roar_client {
+ int fh; /* controll connection */
+// int last_stream; /* id of the last stream created */
+ char name[ROAR_BUFFER_NAME];
+ int pid;
+ char host[ROAR_BUFFER_NAME];
+ int execed;
+ int streams[ROAR_CLIENTS_MAX_STREAMS_PER_CLIENT];
+};
 
 #endif
Index: include/roaraudio/config.h.OLD
===================================================================
--- include/roaraudio/config.h.OLD	(revision 323)
+++ include/roaraudio/config.h.OLD	(revision 0)
@@ -6,14 +6,5 @@
 #define ROAR_HAVE_ESD
 #define ROAR_HAVE_LIBAO
-#define ROAR_HAVE_LIBVORBIS
-#define ROAR_HAVE_LIBVORBISFILE
-
-#define ROAR_HAVE_LIBCELT
-
 #define ROAR_HAVE_SAFE_OVERFLOW
-
-#define ROAR_HAVE_LINUX_SENDFILE
-
-#define ROAR_HAVE_MLOCK
 
 #endif
Index: include/roaraudio/meta.h
===================================================================
--- include/roaraudio/meta.h	(revision 6052)
+++ include/roaraudio/meta.h	(revision 0)
@@ -1,98 +1,28 @@
 //meta.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU Lesser General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU Lesser General Public License for more details.
- *
- *  You should have received a copy of the GNU Lesser General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE: Even though this file is LGPLed it (may) include GPLed files
- *  so the license of this file is/may therefore downgraded to GPL.
- *  See HACKING for details.
- */
 
 #ifndef _ROARAUDIO_META_H_
 #define _ROARAUDIO_META_H_
 
-#define ROAR_META_TYPE_NONE           0
-#define ROAR_META_TYPE_TITLE          1
-#define ROAR_META_TYPE_ALBUM          2
-#define ROAR_META_TYPE_AUTHOR         3
-#define ROAR_META_TYPE_AUTOR          ROAR_META_TYPE_AUTHOR
-#define ROAR_META_TYPE_ARTIST         ROAR_META_TYPE_AUTHOR
-#define ROAR_META_TYPE_VERSION        4
-#define ROAR_META_TYPE_DATE           5
-#define ROAR_META_TYPE_LICENSE        6
-#define ROAR_META_TYPE_TRACKNUMBER    7
-#define ROAR_META_TYPE_ORGANIZATION   8
-#define ROAR_META_TYPE_DESCRIPTION    9
-#define ROAR_META_TYPE_GENRE          10
-#define ROAR_META_TYPE_LOCATION       11
-#define ROAR_META_TYPE_CONTACT        12
-#define ROAR_META_TYPE_STREAMURL      13
-#define ROAR_META_TYPE_HOMEPAGE       14
-#define ROAR_META_TYPE_THUMBNAIL      15
-#define ROAR_META_TYPE_LENGTH         16
-#define ROAR_META_TYPE_COMMENT        17
-#define ROAR_META_TYPE_OTHER          18
-#define ROAR_META_TYPE_FILENAME       19
-#define ROAR_META_TYPE_FILEURL        20
-#define ROAR_META_TYPE_SERVER         21
-#define ROAR_META_TYPE_DURATION       22
-#define ROAR_META_TYPE_WWW            ROAR_META_TYPE_HOMEPAGE
-#define ROAR_META_TYPE_WOAF           23 /* ID3: Official audio file webpage */
-#define ROAR_META_TYPE_ENCODER        24
-#define ROAR_META_TYPE_ENCODEDBY      ROAR_META_TYPE_ENCODER
-#define ROAR_META_TYPE_YEAR           25
-#define ROAR_META_TYPE_DISCID         26
-#define ROAR_META_TYPE_RPG_TRACK_PEAK 27
-#define ROAR_META_TYPE_RPG_TRACK_GAIN 28
-#define ROAR_META_TYPE_RPG_ALBUM_PEAK 29
-#define ROAR_META_TYPE_RPG_ALBUM_GAIN 30
-#define ROAR_META_TYPE_HASH           31
-#define ROAR_META_TYPE_SIGNALINFO     32
-#define ROAR_META_TYPE_AUDIOINFO      ROAR_META_TYPE_SIGNALINFO
-#define ROAR_META_TYPE_OFFSET         33
-#define ROAR_META_TYPE_PERFORMER      34
-#define ROAR_META_TYPE_COPYRIGHT      35
-#define ROAR_META_TYPE_LIKENESS       36
-#define ROAR_META_TYPE_COMPOSER       37
-#define ROAR_META_TYPE_RIGHTS         38
-#define ROAR_META_TYPE_ISRC           39
-#define ROAR_META_TYPE_LANGUAGE       40
-#define ROAR_META_TYPE_GTIN           41
-#define ROAR_META_TYPE_ISBN           ROAR_META_TYPE_GTIN
-#define ROAR_META_TYPE_EAN            ROAR_META_TYPE_GTIN
-#define ROAR_META_TYPE_PUBLISHER      42
-#define ROAR_META_TYPE_DISCNUMBER     43
-#define ROAR_META_TYPE_SOURCEMEDIA    44
-#define ROAR_META_TYPE_LABEL          45
-#define ROAR_META_TYPE_LABELNO        46
+#define ROAR_META_TYPE_NONE          0
+#define ROAR_META_TYPE_TITLE         1
+#define ROAR_META_TYPE_ALBUM         2
+#define ROAR_META_TYPE_AUTOR         3
+#define ROAR_META_TYPE_ARTIST        ROAR_META_TYPE_AUTOR
+#define ROAR_META_TYPE_VERSION       4
+#define ROAR_META_TYPE_DATE          5
+#define ROAR_META_TYPE_LICENSE       6
+#define ROAR_META_TYPE_TRACKNUMBER   7
+#define ROAR_META_TYPE_ORGANIZATION  8
+#define ROAR_META_TYPE_DESCRIPTION   9
+#define ROAR_META_TYPE_GENRE         10
+#define ROAR_META_TYPE_LOCATION      11
+#define ROAR_META_TYPE_CONTACT       12
+#define ROAR_META_TYPE_STREAMURL     13
+#define ROAR_META_TYPE_HOMEPAGE      14
+#define ROAR_META_TYPE_THUMBNAIL     15
+#define ROAR_META_TYPE_LENGTH        16
 
 
-#define ROAR_META_MODE_SET           0
-#define ROAR_META_MODE_ADD           1
-#define ROAR_META_MODE_DELETE        2
-#define ROAR_META_MODE_CLEAR         3
-#define ROAR_META_MODE_FINALIZE      4
-
 #define ROAR_META_MAX_NAMELEN 32
-
-#define ROAR_META_MAX_PER_STREAM 16
 
 struct roar_meta {
